## ippsample 0.0~git20220215.f365352

=== debian/changelog ===
ippsample (0.0~git20220215.f365352-1) unstable; urgency=medium

  * New upstream release

 -- Thorsten Alteholz <debian@alteholz.de>  Fri, 01 Apr 2022 23:50:59 +0000

ippsample (0.0~git20211022.c75af30-2) unstable; urgency=medium

  * debian/control: add Conflicts: with cups-ipp-utils
                    (Closes: #998446)

 -- Thorsten Alteholz <debian@alteholz.de>  Wed, 05 Jan 2022 12:59:12 +0100

ippsample (0.0~git20211022.c75af30-1) unstable; urgency=medium

  * New upstream release
  * debian/control: set Rules-Requires-Root: to binary-targets
                    (due to upstream install)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 31 Oct 2021 21:59:12 +0000

ippsample (0.0~git20210916.53e4740-2) unstable; urgency=low

  * upload source package

 -- Thorsten Alteholz <debian@alteholz.de>  Sat, 30 Oct 2021 00:42:01 +0200

ippsample (0.0~git20210916.53e4740-1) unstable; urgency=low

  * Initial Release. (Closes: #935435)
    (based on the initial work by Till Kamppeter)

 -- Thorsten Alteholz <debian@alteholz.de>  Mon, 20 Sep 2021 20:42:01 +0200
