## ippsample 0.0~git20220607.72f89b3

=== debian/changelog ===
ippsample (0.0~git20220607.72f89b3-1) unstable; urgency=medium

  * New upstream release
  * debian/rules: tests for libcups do not really work here, so
                  they are deactivated for now (Closes: #1009437)

 -- Thorsten Alteholz <debian@alteholz.de>  Sun, 19 Jun 2022 11:50:59 +0200
