=== debian/control ===
--- 
+++ 
@@ -13,7 +13,8 @@
 		libnss-mdns,
 		libpng-dev,
 		zlib1g-dev,
-		libmupdf-dev
+		libmupdf-dev,
+		libcups2-dev
 Homepage: http://istopwg.github.io/ippsample/
 Standards-Version: 4.6.0
 Rules-Requires-Root: binary-targets
@@ -23,7 +24,7 @@
 Package: ippsample
 Architecture: any
 Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}, ippsample-data
+Depends: ${shlibs:Depends}, ${misc:Depends}, ippsample-data, libcups2
 Conflicts: cups-ipp-utils
 Multi-Arch: foreign
 Description: samples/development tools for the IPP
