=== debian/rules ===
--- 
+++ 
@@ -12,6 +12,8 @@
 export DSOFLAGS = $(shell dpkg-buildflags --get LDFLAGS)
 
 DEB_HOST_ARCH_OS ?= $(shell dpkg-architecture -qDEB_HOST_ARCH_OS)
+DEB_BUILD_GNU_TYPE  ?= $(shell dpkg-architecture -qDEB_BUILD_GNU_TYPE)
+
 
 # autoreconf intentionally deactivated, upstream knows more about the real reason
 %:
@@ -24,3 +26,11 @@
 # for whatever reason mupdf is not really detected here
 override_dh_auto_configure:
 	dh_auto_configure -- --with-pdfrip=auto
+
+override_dh_auto_test:
+	echo "libcups tests do not really work here, so deactivating them for now"
+
+override_dh_shlibdeps:
+	find
+	pwd
+	dh_shlibdeps --dpkg-shlibdeps-params=--ignore-missing-info -l$(shell pwd)/debian/tmp/usr/lib/$(DEB_BUILD_GNU_TYPE)/
