=== debian/watch ===
--- 
+++ 
@@ -1,7 +1,7 @@
 version=4
 opts="mode=git, pgpmode=none" \
   https://github.com/istopwg/ippsample \
-  HEAD debian uupdate
+  HEAD debian ./debian/get-orig-source.sh
 
 # Use the following when upstream starts to tag releases:
 #
